/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.fidufosyga.rules;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

import com.fidufosyga.context.Context;
import com.fidufosyga.rules.util.ValidarFecha;
import java.text.SimpleDateFormat;
import java.util.Date;


/**
 *
 * @author Marinela.QuinteroT1
 */

public class FueraRangoLongitudNov extends AbstractRule {

   

    public  FueraRangoLongitudNov (){
    
}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
          //"11,N46,1,10"  
        String campoTipoNovedad = (String) (getParams()[0]);
        int campoDepNovedad = Integer.parseInt(campoTipoNovedad);
        String TipoNovedad = registro[campoDepNovedad];
        
        
        String Novedad = (String) getParams()[1];
        
        if ( TipoNovedad.equals(Novedad))  { 

		int minima = new Integer((String) getParams()[2]).intValue();
		int maxima = new Integer((String) getParams()[3]).intValue();
		if (field.length() < minima || field.length() > maxima) {
			return true;
		}
		return false;
                
                
	}
        return false;

}
}